Skip to main content
GET
/
org
/
{org}
/
gvc
/
{gvc}
/
workload
/
{name}
/
-accessreport
View Access Report for a workload
curl --request GET \
  --url https://api.cpln.io/org/{org}/gvc/{gvc}/workload/{name}/-accessreport \
  --header 'Authorization: <api-key>'
{
  "kind": "<string>",
  "permissions": [
    {
      "name": "<string>",
      "description": "<string>",
      "bindings": [
        {
          "principalLink": "<string>",
          "grantingPolicyLink": "<string>",
          "grantedPermissions": [
            "<string>"
          ],
          "match": "link"
        }
      ]
    }
  ],
  "created": "2023-11-07T05:31:56Z",
  "links": [
    {
      "rel": "<string>",
      "href": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Service account key can be used as API keys

Path Parameters

org
string
required
gvc
string
required
name
string
required

Response

Success

kind
string
permissions
object[]
created
string<date-time>